diff -udNr xdvik//READMEs/README.jp-patch pxdvik//READMEs/README.jp-patch
--- xdvik//READMEs/README.jp-patch	1970-01-01 09:00:00.000000000 +0900
+++ pxdvik//READMEs/README.jp-patch	2010-07-25 14:56:37.614074299 +0900
@@ -0,0 +1,778 @@
+
+            << xdvi PL17 jp-patch について >>
+
+                                        1996/02/09
+                                        竹中 浩
+                                        lh36112@hongo.ecc.u-tokyo.ac.jp
+                                        KHB11235@niftyserve.or.jp
+
+
+
+[0] 目次
+
+        [1] xdvi PL17 jp-patch とは
+
+        [2] インストール
+          [2.1] ファイルの入手
+          [2.2] パッチをあてる
+          [2.3] コンパイルの準備
+            [2.3.1] Imakefile の編集
+            [2.3.2] Makefile の生成
+          [2.4] コンパイル
+          [2.5] インストール
+          [2.6] トラブル・シューティング
+          [2.7] xdvi-17+markpage+toc+printdvi+paper patch を使いたい
+
+        [3] 各パッチの詳細
+          [3.1] ASCII pTeX の縦組み拡張 DVI への対応
+          [3.2] ps ファイルのカラーでのプレビュー
+          [3.3] postscript special の追加
+          [3.4] color special 対応
+          [3.5] DVI ファイル中の文字列の検索機能
+          [3.6] -remote オプションの追加
+          [3.7] VFlib version 2.x への対応
+          [3.8] less 互換のマーク機能
+          [3.9] tpic2.2 への対応。
+          [3.10] DVI ファイルをメニュー形式で選択する
+          [3.11] ASCII "日本語" TeX 対応
+          [3.12] Zeit の書体倶楽部などのアウトライン・フォント対応
+          [3.13] ghostscript を利用して postscript ファイルを表示する
+          [3.14] dvips 附属の epsf.sty への対応
+          [3.15] jdvi2kps で処理する psfrag への対応 (バグあり)
+          [3.16] "PS Fig" ボタンの追加
+
+        [4] 著作権について
+
+
+[1] xdvi PL17 jp-patch とは:
+
+  かつて fj に投稿された xdvi 用の様々なパッチをベースに、東北大学の杉
+  浦茂樹さんが xdvi PL17 用に作られたパッチ・キット
+  miyu patch for xdvi PL17 に、いくつかの機能を加えたものが本パッチ・
+  キット xdvi PL17 jp-patch です。
+
+  miyu-patch for xdvi PL17 から追加された機能は、
+
+    1.  ASCII pTeX の縦組み拡張 DVI への対応。
+    2.  ps ファイルのカラーでのプレビューを可能にした。
+    3.  理解できる postscript special を増やした。
+    4.  color special への対応
+    5.  DVI ファイル中の文字列の検索機能。
+    6.  -remote オプションの追加。
+    7.  VFlib version 2.x への対応。
+    8.  less 互換のマーク機能。
+
+  の 8 点です。また、従来から miyu-patch に含まれていた、
+
+    9.  tpic2.2 への対応。
+    10. DVI ファイルをメニュー形式で選択する。
+    11. ASCII "日本語" TeX 対応。
+    12. Zeit の書体倶楽部などのアウトライン・フォント対応。
+    13. ghostscript を利用して postscript ファイルを表示する。
+    14. dvips 附属の epsf.sty に対応するためのパッチ
+    15. jdvi2kps で処理する psfrag への対応 (バグあり)
+    16. "PS Fig" ボタンの追加
+
+  は、本パッチでもそのまま引き継いでいます。 (ただし 13. については 
+  miyu-patch のものと同等のルーチンを竹中が新たに作り直しています。
+
+  それぞれのパッチの詳細、特に本パッチ・キットで新たに加わった 8 つに
+  ついては、「[3] 各パッチの詳細」を参照してください。
+
+[2] インストール
+
+  [2.1] ファイルの入手
+
+    インストールに最低限必要なファイルは、
+
+      * xdvi-17.tar.gz
+        オリジナルの xdvi PL17 のソースです。
+        ftp://ftp.tohoku.ac.jp/pub/tex/dviwares/xdvi/PL17 などの
+        anonymous ftp などから入手できます。
+
+      * xdvi-17jp.YYMMDD.gz
+        本パッチ・キット。"YYMMDD" には 960209 のような日付が入ります。
+
+    さらにアウトライン・フォントを使用する場合には角川＠広島大学さんが
+    作成された VFlib の version 2 以降がインストールされている必要があ
+    ります。miyu patch にあった version 1.x 用のルーチンは残してありま
+    すが ([3.7] 参照)、ちゃんとテストしてないので、上手く動くかどうか
+    保証できません。
+
+    VFlib のインストールについては、VFlib 付属のドキュメントに従ってく
+    ださい。VFlib は
+
+      ftp://gull.se.hiroshima-u.ac.jp/pub/VFlib
+
+    などの anonymous ftp などから入手できます。
+
+    また GNU のツールである gzip と patch も必要です。これを持ってない
+    人は少ないと思いますが、持っていない人はこれを機会に入手しておきま
+    しょう。いずれ絶対に必要になるはずです。
+
+  [2.2] パッチをあてる
+
+    * まず適当な作業用ディレクトリを作成して、そこに移動します。
+    * 次に xdvi-17.tar.gz を展開します。
+    * 最後に本パッチを適用します。
+
+    たとえばカレント・ディレクトリに xdvi-17.tar.gz と本パッチが存在
+    し、カレント・ディレクトリの下に xdvi-17 という名前で作業用の ディ
+    レクトリを作成する場合には、以下の例のように作業します。
+
+        < 実行例 >
+
+	% set srcdir=$pwd
+	% mkdir xdvi-17
+	% cd xdvi-17
+	% gzip -dc $srcdir/xdvi-17.tar.gz | tar xf -
+	% gzip -dc $srcdir/xdvi-17jp.960209.gz | patch -p1
+
+  [2.3] コンパイルの準備
+
+    システムに応じて Imakefile を編集した後、xmkmf を実行して Makefile 
+    を生成します。
+
+    [2.3.1] Imakefile の編集
+
+      インストール時に設定が必要と思われる項目は Imakefile の先頭にま
+      とめてあります。以下の説明に従い、自分の環境にあわせて Imakefile
+      を編集してください。
+
+          実際には、ここで説明しているより多くの項目を設定できますが、
+          普通はそれらの項目はデフォルトから変更する必要はないと思いま
+          す。 もしも変更したい場合には、オリジナルの xdvi PL17 に附属
+          している README を参照してください。
+
+
+    * 日本語対応関係の項目
+
+        Use_Kanji, Use_ASCIIDNP, Use_ZEIT, Use_NTTZEIT
+
+        の 4 つがあります。以下の 4 通りのケースの中から、自分の環境に
+        あった設定を選んでください。
+
+        ----------------------------------------------------------------
+        1. NTT-JTeX で作成された DVI ファイルを NTT-JTeX 用の大日本印
+           刷フォント (または渡辺フォントなど互換フォント) を用いて表
+           示し、ASCII TeX には対応しない場合
+
+           --> すべてを #undef してください。
+        ----------------------------------------------------------------
+        2. NTT-JTeX、ASCII "日本語" TeX、および pTeX で作成された DVI 
+           ファイルを NTT-JTeX 用の大日本印刷 (互換) フォントを用いて
+           表示する場合
+
+           --> Use_KANJI と Use_ASCIIDNP を #define
+               それ以外は #undef
+        ----------------------------------------------------------------
+        3. NTT-JTeX で作成された DVI ファイルは NTT-JTeX 用の大日本印
+           刷 (互換) フォント、ASCII "日本語" TeX および pTeX で作成さ
+           れた DVI ファイルは Zeit の書体倶楽部などのアウトライン・フォ
+           ントを用いて表示する場合
+
+           --> Use_KANJI と Use_ZEIT を #define
+               それ以外は #undef 
+        ----------------------------------------------------------------
+        4. NTT-JTeX, ASCII "日本語" TeX, および pTeX で作成された DVI 
+           ファイルは Zeit の書体倶楽部などのアウトライン・フォントを
+           用いて表示する場合
+
+           --> Use_KANJI, Use_ZEIT, Use_NTTZEIT を #define
+               それ以外は #undef 
+        ----------------------------------------------------------------
+
+        Use_ASCIIDNP と Use_ZEIT は同時に指定することはできません。も
+        し両方とも同時に指定された時には、Use_ASCIIDNP が優先します 
+        (2. と同じになる)。
+
+        上記の 2, 3, 4 のどれかを選んだ場合には、さらに ASCII pTeX の
+        縦組み拡張 DVI ファイルに対応させることができます。対応させた
+        い場合には、Use_PTEX を #define してください。対応させたくない
+        場合には #undef です。
+
+
+    * Use_MAKEPK
+
+        Use_MAKEPK を #define すると、xdvi は足らないフォントがあった
+        時に MakeTeXPK を用いて自動的にフォントを作成します。
+
+        MakeTeXPK がインストールされるディレクトリ MAKEPK_BINDIR と
+        makeTeXPK で作られたフォントを格納するディレクトリ 
+        MAKEPK_DESTDIR を設定してください。
+
+
+    * Use_SELFILE
+
+        Use_SELFILE を #define すると、xdvi から DVI ファイルを開く時
+        にメニューを使って選択することができるようになります。
+
+
+    * Use_PS, Use_PSCOLOR, GHOSTSCRIPT_BINDIR
+
+        Use_PS を #define すると ghostscript を用いて Postscript の図
+        を表示することができるようになります。この場合、ghostscript が
+        存在するディレクトリのパスを GHOSTSCRIPT_BINDIR に指定してくだ
+        さい。
+
+        Use_PSCOLOR を #define すると、カラーの図はカラーで表示されま
+        す。
+
+
+    * Use_COLOR
+
+        Use_COLOR を #define すると、latex2e の graphics パッケージや、
+        eclcolor.sty などで使用されている color special 命令の一部 
+        ([3.4] 参照) に対応して、カラーでの表示が可能になります。
+
+
+    * Use_VIKEY
+
+        ウィンドウ移動のキー・バインディングを vi ライクなものにしたい
+        場合には #define してください。
+
+
+    * Use_SEARCH
+
+        dvi ファイル中の文字列検索機能を有効にしたい場合には #define 
+        してください。
+
+
+    * Use_REMOTE
+
+        -remote オプションを使った他プログラムからの xdvi の制御機能を
+        有効にしたい場合には #define してください。
+
+
+    * フォントのサーチ・パスの設定
+
+        xdvi が表示に使うビットマップ・フォント (GF, PK, PXL フォント) 
+        を探すパスは、
+
+          DEFAULT_FONT_PATH=.:/usr/local/lib/tex/fonts/pk
+
+        などのように DEFAULT_FONT_PATH に指定します。
+
+        日本語表示にアウトライン・フォントを使用する場合には、ここで 
+        JFM ファイル (ex. min10.tfm, goth9.tfm, etc) の存在するディレ
+        クトリも一緒に指定しておく必要があります。
+
+        さらに、検索機能を使用する場合には欧文フォントの TFM の存在す
+        るディレクトリも指定した方がいいです。
+
+
+    * virtual font のサーチ・パスの設定
+
+        virtual font を使用する場合には、virtual font のサーチ・パスを
+
+          DEFAULT_VF_PATH=.:/usr/local/lib/tex/fonts/vf
+
+        などのように、DEFAULT_VF_PATH に設定してください。
+
+
+    * DEFAULT_VFONTCAPDIR
+
+        アウトライン・フォントを使用する場合には、VFlib 2.x の設定ファ
+        イル vfontcap が存在するディレクトリを DEFAULT_VFONTCAPDIR に
+        指定してください。
+
+
+    * 表示解像度の設定
+
+        xdvi の表示の解像度は、
+
+          BDPI=300
+
+        のように BDPI に指定します。単位は DPI です。この指定が表示に
+        使われるフォントの解像度の指定にもなります。
+
+
+    * デフォルトの縮小率の設定
+
+        300dpi などのフォントをそのまま画面で表示すると、普通は大きす
+        ぎるので xdvi は適当に縮小して表示します。縮小率のデフォルトは、
+
+          DEFAULT_SHRINK=4
+
+        のように DEF_SHRINK に指定します。数字が大きいほど縮小率が大き
+        くなります。好みにもよりますが、
+
+          解像度が 240DPI なら DEFAULT_SHRINK=3
+                   300DPI なら DEFAULT_SHRINK=4
+                   400DPI なら DEFAULT_SHRINK=5
+
+        あたりが適当です。
+
+
+    * MSBITFIRST, BMLONG, BMSHORT
+
+        これらの設定は使用するマシンに依存します。
+
+        MSBITFIRST は Intel 80x86 以外では大抵の場合 #define する必要
+        があります。
+
+        BMLONG, BMSHORT は設定してもしなくても動作しますが、適切に設定
+        すると実行速度が著しく改善される場合があります。
+
+
+    [2.3.2] Makefile の生成
+
+      Imakefile の設定がすんだら Makefile の生成を行ないます。
+
+	  < 実行例 >
+
+	% xmkmf
+	% make includes
+	% make depend
+
+  [2.4] コンパイル
+
+    設定が終ったらコンパイルを行ないます。
+
+        < 実行例 >
+
+      % make
+
+
+  [2.5] インストール
+
+    正常にコンパイルできたら, 実行ファイルおよびマニュアルのインストー
+    ルを行ないます。
+
+        < 実行例 >
+
+      % make install
+      % make install.man
+
+    必要ならば, さらに MakeTeXPK のインストールも行なってください。
+
+        < 実行例 >
+
+      % make install.MakeTeXPK
+
+
+  [2.6] トラブル・シューティング
+
+    * 日本語の文字が全て黒い四角で表示されてしまう。
+      
+      xmkmf して生成された Makefile の中に "-DNARROWPROTO" という記述
+      がないかどうか調べてみてください。もし、あった場合にはこれを削除
+      すると治る場合が多いようです。
+
+    * ghostscript の呼び出しに失敗する。
+
+      ghostscript.c の先頭に、
+
+      #define	USE_DUP2
+      #define	USE_FCLOSE
+
+      という部分があります。これを適当に #undef して試してみてください。
+      それでもコケたら、竹中に連絡してください。
+
+
+  [2.7] xdvi-17+markpage+toc+printdvi+paper patch を使いたい
+
+    従来の miyu-patch のあたった xdvi PL17 に対するパッチとして、
+    小野康一さん他による xdvi-17+markpage+toc+printdvi+paper patch が
+    あります。
+
+    このパッチを利用されている方は多いと思いますので、(ちゃんとテスト
+    したわけではありませんが) 本パッチでもこれを利用できるように一応配
+    慮しておきました。
+
+    とりあえず、xdvi-17+markpage+toc+printdvi+paper patch 付属のドキュ
+    メントを参考にして、ただし miyu-patch の代わりに本パッチを使って、
+    ソース・ファイルを準備してください。
+
+        < 実行例 >
+
+	% set srcdir=$pwd
+	% mkdir xdvi-17
+	% cd xdvi-17
+	% gzip -dc $srcdir/xdvi-17.tar.gz | tar xf -
+	% gzip -dc $srcdir/xdvi-17jp.960209.gz | patch -p1
+        % gzip -dc $srcdir/xdvi-pl17+markpage+toc+printdvi+paper.patch.gz | patch -p1
+
+
+    すると、Imakefile, xdvi.c, util.c の 3 つのファイルについては、パッ
+    チに失敗するはずです。このうち util.c については無視しても問題あり
+    ません。残りの Imakefile と xdvi.c について、Imakefile.rej,
+    xdvi.c.rej を参照して、手でパッチを当ててください。大した分量では
+    ないはずです。
+
+    あとは xdvi-17+markpage+toc+printdvi+paper patch のドキュメント、
+    および本ドキュメントを参照して、インストールすれば良いはずです。
+
+    なお、 xdvi-17+markpage+toc+printdvi+paper patch の markpage 機能
+    を有効にして make した場合には、「less 互換のマーク機能 ([3.8])」
+    は無効になります。
+
+
+[3] 各パッチの詳細
+
+  [3.1] ASCII pTeX の縦組み拡張 DVI への対応
+
+        原作者: 竹中＠東大心理
+                  xdvi-17.miyu+ptex.patch       (1995/11; fj.comp.texhax)
+                  xdvi-17.miyu+ptex.patch.fixed (1995/11; fj.comp.texhax)
+
+    ASCII pTeX が生成する縦組み拡張命令を含んだ DVI ファイルへの対応で
+    す。1995/11 版では縦組み拡張の仕様の解釈に誤りがあり、pLaTeX の一
+    部のマクロを使った際に正しく表示されませんでしたが、この version 
+    から治っています。
+
+    また Use_ASCIIDNP を指定して大日本印刷 (互換) フォントで表示した場
+    合にもちゃんと(?)表示できるようにしました。
+
+    本パッチで Use_PTEX を #define して縦組み拡張 DVI を表示する際には
+    横組み用のフォントを適当に修正して使っています。このための修正情報
+    のテーブルが tategaki.c に入ってます。大抵の場合にはデフォルトの設
+    定で、そこそこの表示ができるのではないかと思いますが、納得できない
+    方はこの情報を修正してみてください。
+
+       struct TateCorrection TateCorrectionTable[] = {
+	       { TCOR_NOP, 0, 0 },
+	       { TCOR_AUTOSHIFT, 0, 0 },	/* 2122 '、' */
+	       { TCOR_AUTOSHIFT, 0, 0 },	/* 2123 '。' */
+	       { TCOR_SHIFT, 64, 96 },	/* 2124 '，' */
+	       { TCOR_SHIFT, 64, 96 },	/* 2125 '．' */
+	       { TCOR_SHIFT, 42, 42 },	/* 2126 '・' */
+	       { TCOR_ROTATE, 0, 0 },	/* 2127 '：' */
+			  :
+
+    最初の項目(要素)で修正方法を指示します。指定可能な値は以下の通りで
+    す。
+
+	TCOR_NOP            縦組み用の修正をしない。
+	TCOR_AUTOSHIFT      縦組み用に位置の移動を自動で行なう。
+	TCOR_SHIFT          位置の移動を手動で行なう。
+	TCOR_ROTATE         右に90度回転する。
+	<文字コード (JIS)>  その文字のフォントで代替します。
+
+    2 番目、3 番目の要素の値が関係あるのは TCOR_SHIFT を指定した場合の
+    みです。この場合、2/3 番目の要素の値がそれぞれ x/y 方向への移動量
+    となり、+/- 128 でフォントの高さの分だけ位置が左右/上下にずれます。
+
+    デフォルトの設定では TCOR_AUTOSHIFT と TCOR_ROTATE だけを使ってい
+    ます。
+
+  [3.2] ps ファイルのカラーでのプレビュー
+
+        原作者: 竹中＠東大心理
+                  (fj 未投稿)
+
+    全然大したパッチじゃないです。単に GHOSTVIEW_COLORS プロパティを設
+    定するようになっただけです。
+
+    xdvi PL20 と同様の -gspalette オプション、および palette リソース
+    を用意しました。
+
+        "Monochrome" を指定するとモノクロ表示
+        "Greyscale"  を指定するとグレイスケール表示
+        "Color" を指定するとカラー表示
+
+    になります (実際は最初の一文字だけで判断してます)。
+
+  [3.3] postscript special の追加
+
+        原作者: 上原＠京大基研さん <uehara@yukawa.kyoto-u.ac.jp>
+                  (fj 未投稿)
+
+                竹中＠東大心理
+                  (fj 未投稿)
+
+    上原＠京大基研さんから epsfig.sty 対応化パッチをいただきましたので、
+    追加しました。
+
+    あと、eclepsf.sty 対応の追加と、dvips 用の ps special の解釈を
+    より dvips のそれに近づけるようにする変更を加えています。
+
+  [3.4] color special 対応
+
+        原作者: 竹中＠東大心理
+                  (fj 未投稿)
+
+    dvips, dvi2ps の color special に対応させました。ただし、HSB カラー・
+    モデルには対応してません。
+
+     * HSL -> RGB なら知ってるんですけど、HSB->RGB の変換式が分からな
+       いです。誰か教えてください。
+
+    dvips では named カラー・モデルも使えますが、この場合の色名は X の
+    色名として解釈します。
+
+    Use_COLOR を指定して make してもデフォルトではカラー表示をしないの
+    で、オプション -usecolor 、または リソース colorSpecial: True で、
+    カラー表示を指示する必要があります。この際、グレイスケール・アンチ
+    エイリアシングはオフになります。
+
+  [3.5] DVI ファイル中の文字列の検索機能
+
+        原作者: 竹中＠東大心理
+                  (fj 未投稿)
+
+    '/' キーで前方検索、'?' キーで後方検索ができるようになります。
+
+    日本語が入力できないことも含めて、本当は検索文字列の入力部をもっと
+    ちゃんと作ってやんなきゃいけないんでしょうが、検索機能はどっちかと
+    いうと直接使うよりは [3.6] の -remote 機能のために作ったものなので、
+    手を抜いてます。ごめんなさい。なにもないよりマシだと思ってください。
+    とりあえず、検索文字列を画面表示するためのフォントは .font リソー
+    スを見て決定するようにはなってます。
+
+    検索文字列中の '\c' は 'c' と解釈します。また、空白文字、および単
+    独で現われたハイフンは無視します。ハイフンを無視するのは 
+    hyphenation 対策として、DVI ファイル中のハイフン文字を無視している
+    からです。無視されるのは '-' だけなので、'--', '---' はその通りに
+    打てば検索可能です。
+
+    一方、DVI ファイルに含まれているテキストの方ですが、TeX で使われる
+    フォントは、ものによってコーディング・スキームが違ったり、記号ばっ
+    かりが含まれていたりするので、DVI ファイル中で使用されているフォン
+    トの TFM ファイルからコーディング・スキームの情報を取得しています。
+    ただし、標準的な TeX フォントについては、コーディング・スキームの
+    情報を自前で持っているので、普通の TeX 文書をプレビューする限りは、
+    実際に TFM を読みに行くことはないと思います。
+
+    TFM が見つからない、見つかってもコーディング・スキームが指定されて
+    いない、あるいは未知のコーディング・スキームが用いられているという
+    場合には、ASCII 文字セットのアルファベットと数字だけが入っていると
+    仮定し、他の文字コードの文字は無視します。
+
+      * 現状では検索ルーチンがおバカさんなので少々遅いです。
+        あと、本当はユーザーがコーディング・スキームの定義や、グリフと
+        検索文字列の対応を定義ファイルかなんかで指定できるようにするべ
+        きなのでしょう。
+
+  [3.6] -remote オプションの追加
+
+        原作者: 竹中＠東大心理
+                  (fj 未投稿)
+
+    Netscape の -remote オプションと同じものを xdvi にもつけてみました。
+
+      % xdvi -remote 'Command' foo.dvi
+
+    とやると、ディスプレイ上で現在 foo.dvi を表示している xdvi にコマ
+    ンドを送ることができます。dvi ファイルの名前はディスプレイ上に複数
+    の xdvi が存在する時の識別子として使われるので省略できません。
+
+    使えるコマンドは以下の通りです。
+
+      OpenFile(foo.dvi)      foo.dvi を開く。
+                             引数を省略した場合はファイル選択メニュー
+                             を表示する。(Use_SELFILE が必要)
+
+      Quit                   終了する。
+
+      Page(num)              num ページ目を表示。
+
+      NextPage(num)          num ページ後のページを表示。
+                             num を省略した場合は num = 1 と同等。
+
+      PrevPage(num)          num ページ前のページを表示。
+
+      Search(String)         文字列 String を 1 ページ目から前方検索。
+                             String を省略した場合は、前回の検索文字列
+                             を使用します。
+
+      SEARCH(String)         同上 (大文字・小文字同一視)。
+
+      SearchFwd(String)      文字列 String をカレント・ページから前方
+                             検索。
+
+      SEARCHFWD(String)      同上 (大文字・小文字同一視)。
+
+      SearchBwd(String)      文字列 String をカレント・ページから後方
+                             検索。
+
+      SEARCHBWD(String)      同上 (大文字・小文字同一視)。
+
+      SloppySearch(String)   文字列 String を 1 ページ目から大ざっぱに 
+                             (本当に大ざっぱ！) 前方検索。
+
+      Raise                  xdvi のウィンドウを 1 番上にする。
+
+    上の例では引数を () で囲んでいますが、()、[]、{}、またはコマンド名
+    の後の最初の非空白文字で囲まれた部分を引数として認識します。また、
+    引数の中でバック・スラッシュ文字および ESC 文字が表われた場合には
+    続く文字は、引数の終わりを示す文字とは解釈されません。
+
+    検索系コマンドの引数に日本語を与える場合の文字コードは、オプション 
+    -jcode、およびリソース Jcode で、JIS、EUC、SJIS のどれかを指定でき
+    ます。ただし、JIS コードは常に認識します。
+
+    リモート・コマンドを受け取った xdvi のウィンドウはデフォルトでは自
+    動的に raise しますが、オプション +noraise, -noraise、またはリソース 
+    AutoRaise で、raise するかどうかを指定できます。
+
+    * 慶應大学の広瀬雄二さんにお願いして、Emacs 用 TeX モード『野鳥』
+      の最新版 (ver.1.61) で、remote を使った検索に対応していただきま
+      した。野鳥は、
+
+        ftp://ftp.ae.keio.ac.jp/pub/emacs-lisp/text/yatex
+
+      で手に入れることができます。
+
+  [3.7] VFlib version 2.x への対応
+
+        原作者: 竹中＠東大心理
+                  (fj 未投稿)
+
+    基本的には VFlib ver 2.x で関数名が変ったのに応じて、ソース中の関
+    数名を書き変えただけですが、同時に設定ファイル名が FontConf から
+    vfontcap に変ったのにあわせて、miyu-patch での -fontconf オプショ
+    ンと .FontConf リソースも、 -vfontcap、.vfontcap に変更しました。
+
+    VFlib ver 1.x 用のルーチンも残してあるので、Imakefile 中の
+
+      #define VFLIB_VERSION	2
+
+    という行の 2 を 1 に変えれば make できると思いますが、動作確認はし
+    ておりません。なお、この場合にはオプション名、リソース名は従来通り
+    です。
+
+    あと JFM やアウトライン・フォントが見つからないと、いきなり 
+    segmentation fault で落ちていたので、ちゃんとエラー・メッセージを
+    出してから死ぬようにしておきました。
+
+  [3.8] less 互換のマーク機能。
+
+        原作者: 竹中＠東大心理
+                  (fj 未投稿)
+
+    「 m + 英小文字」で現在のページをマーク、「 ' + 英小文字」でマーク
+    したページにジャンプします。
+
+  [3.9] tpic2.2 への対応。
+
+        原作者: 鷲坂＠ＮＴＴさん <wasisaka@rouge.brl.ntt.jp>
+                  xdvi-16-tpic2.2      (1993/02; fj.sources.d,fj.comp.texhax)
+                  xdvi-16-tpic2.2-fix1 (1993/02; fj.sources.d,fj.comp.texhax)
+
+  [3.10] DVI ファイルをメニュー形式で選択する
+
+        原作者: 杉浦茂樹＠東北大さん <miyu@shiratori.riec.tohoku.ac.jp>
+                鈴木＠情報科学.東京大学さん <dai@is.s.u-tokyo.ac.jp>
+                  (fj 未投稿)
+
+  [3.11] ASCII "日本語" TeX 対応
+
+        原作者: 野呂＠富士通国際研さん <noro@iias.flab.fujitsu.co.jp>
+                  xdvi-16j.patch        (1992/09; fj.sources)
+
+  [3.12] Zeit の書体倶楽部などのアウトライン・フォント対応
+
+        原作者: 林＠静岡大学さん <hayashi@dale.eng.shizuoka.ac.jp>
+                  xdvi-zeit             (1993/08; fj.sources)
+
+  [3.13] ghostscript を利用して postscript ファイルを表示する
+
+    もともとの miyu-patch に含まれていたものは、
+
+        森田＠北陸先端大さん
+          xdvi-14jgs.patch              (199?/??; ???)
+          xdvi-16jgs.patch-fix4         (1993/06; fj.sources)
+          xdvi-16jgs.patch-fix5         (1993/08; fj.sources.d)
+
+        仙田＠京大さん <senda@kuis.kyoto-u.ac.jp>
+          xdvi-16jgs.patch              (1992/09; fj.sources.d)
+
+        升谷＠阪大さん <masutani@me.es.osaka-u.ac.jp>
+          xdvi-16jgs.patch-fix1         (1992/09; fj.sources.d)
+          xdvi-16jgs.patch-fix2         (1992/09; fj.sources.d)
+
+        木本豪＠筑波大学さん
+          xdvi-16jgs.patch-fix3         (1992/09; fj.sources.d)
+
+    のパッチに、さらに杉浦茂樹＠東北大さんが手を加えられたものです。
+
+    ところが今回のパッチ・キットの作成にあたって、作者の皆様に収録許可
+    のお願いメールを出したところ、森田＠北陸先端大さんと木本豪＠筑波大
+    学さんは当時のアドレスが既に無効になってしまっていたので、連絡を取
+    ることができませんでした。
+
+    というわけで、本パッチ・キットに含まれているのは、同等のルーチンを
+    竹中が新たに書き起こしたものです。ただし、杉浦茂樹＠東北大さんの書
+    かれたコードはそのまま利用させていただきました。また xdvi PL20 の
+    psgs.c に含まれていた _setenv() 関数を使用しています。
+
+    従来の -ps, +ps オプション、及び psSpecial リソースに加えて、
+    xdvi PL20 のものにあわせて以下のオプション、リソースを追加しました。
+
+      オプション       リソース名      説明
+      -interpreter     interpreter     Ghostscript のコマンド名を指定
+      [-+]nogssafer    gsSafer         -dSAFER を指定して gs を起動
+      -gspalette       palette         gs のパレットを指定
+
+  [3.14] dvips 附属の epsf.sty への対応
+
+        原作者: 杉浦茂樹＠東北大さん
+                上原＠京大基研さん
+                  (fj 未投稿)
+
+  [3.15] jdvi2kps で処理する psfrag への対応 (バグあり)
+
+        原作者: 杉浦茂樹＠東北大さん
+                  (fj 未投稿)
+
+  [3.16] "PS Fig" ボタンの追加
+
+        原作者: 杉浦茂樹＠東北大さん
+                山上＠ＳＯＮＹさん <kaol@SCEI.sony.co.jp>
+
+  [3.17] おまけ
+
+    xdvi PL17 では、
+
+      % xdvi foo
+
+    などとして起動した場合に、foo.dvi と foo の両方のファイルが存在す
+    ると、foo の方をオープンするので「DVI ファイルじゃないよん」と怒ら
+    れてしまいます。
+
+    オリジナルの xdvi の PL20 では、こういう場合 foo.dvi の方をオープ
+    ンするようになっているので、本パッチ・キットでも同じ仕様に変更いた
+    しました。
+
+
+[4] 著作権等について
+
+  「8. tpic2.2 への対応」のパッチに関しては、SeeTeX/Xtex/DviPage2.c か
+  らのコードを含んでいますので、本パッチ・キットを適用した後の tpic.c 
+  の冒頭に引用されているオリジナルの Copyright Notice に従ってくださ
+  い。
+
+  同様に「9. DVI ファイルをメニュー形式で選択する」のパッチも、
+  "XsraSelFile File Selection Dialog Package" のコードを含んでいます。
+  Dir.c, Draw.c, Path.c, SelFile.c がそれにあたります。これらのファイ
+  ルの冒頭には Copyright Notice がありますので、これに従ってください。
+
+  「13. ghostscript を利用して postscript ファイルを表示する」のパッチ
+  のうち、ghostscript.c に含まれる _setenv() 関数は xdvi PL20 の 
+  psgs.c に含まれていたものです。こちらもオリジナルの Copyright Notice
+  をソース中に引用しておきましたので、これに従ってください。
+
+  杉浦茂樹＠東北大さんの書かれたコードに関しては、
+
+    「使用および個人的な改変は自由ですが、改変したものを再配布する場合
+    には要連絡。なお、パッチの作成、および、コードの解析に基づくコード
+    の生成は自由」
+
+  とのことです。主に 10,13,14,15,16 のコードがこれに相当しますが、他の
+  部分にも杉浦さんの書かれたコードが含まれているので、本パッチを改変し
+  たものを再配布する場合には、とりあえず杉浦さんに連絡してみてください。
+
+  以上に述べたもの以外については、竹中が作者の皆様方から「基本的に自由
+  に使ってもらって構わない」というお言葉を頂いております。「基本的に」
+  の部分に関しては多少の違いがありましたが、最小公倍数としては、
+
+    「ドキュメント中に名前とメール・アドレスを残してくれれば自由に使っ
+    てもらって構わない」
+
+  ということです。竹中作成のパッチについても、同様に扱ってください。た
+  だし、13 の ghostscript 対応については [3.13] で挙げた皆様方の作成さ
+  れたコードを参考に作ったものですから、竹中の名前だけでなく、これらの
+  方々のお名前も一緒に含めてください。
+
+-- END OF DOCUMENT --
diff -udNr xdvik//READMEs/README.markpage+toc+printdvi pxdvik//READMEs/README.markpage+toc+printdvi
--- xdvik//READMEs/README.markpage+toc+printdvi	1970-01-01 09:00:00.000000000 +0900
+++ pxdvik//READMEs/README.markpage+toc+printdvi	2010-07-25 14:56:37.614074299 +0900
@@ -0,0 +1,200 @@
+
+        << xdvi-17+markpage+toc+printdvi patch について >>
+
+					1993/09/13
+					小野 康一
+					onono@fuka.info.waseda.ac.jp
+
+○xdvi-17+markpage+toc+printdvi patch とは
+  xdvi-17 + miyu-patch for xdvi PL17 に対するパッチです。このパッチをあ
+  てて作った xdvi では、以下のような機能を使うことができます。
+
+  1) Use_MARKPAGE
+  ページマーキング機能を、GNU Emacs のマークリング風に実現したものです。
+  ページのマーク(`m',`a')/アンマーク(`U',`A')、マークしたページへの移動
+  (`'',``')、マークしたページとカレントページとの交換('"')、マークを伴う
+  ページジャンプ('<','>')などを行なえます。
+  また、2) の toc からのマーキングも可能です。
+
+  2) Use_TOC
+  ページ番号リストを表示し、マウスでそのページをクリックすることで、その
+  ページへ移動(左ボタン)、そのページをマーク(真中ボタン)、アンマーク(右
+  ボタン)することができます。ドラッグにより、連続するページをマーク/アン
+  マークすることもできます。
+
+  3) Use_PRINTDVI
+  `o' または Print ボタンで Print-out メニューがポップアップします。ファ
+  イル全体の出力やカレントページ、最後にマークしたページ、リージョン(カ
+  レントページと最後にマークしたページとの間のページ)、マークした全部の
+  ページをメニューから選択して出力できます。
+
+○動作を確認した環境
+	SunOS 4.1.3 / sun4c マシン(SPARCstationシリーズ)
+
+○インストールについて
+
+  まず, xdvi PL17 のソース・ファイルである xdvi-17.tar.gz と
+  それに対するパッチ xdvi-17miyu.patch-beta4.gz (*1)、そして
+  当該パッチ xdvi-17+markpage+toc+printdvi.patch を用意します。
+
+  次に, 作業ディレクトリを作成して, そのディレクトリに移った後, 
+  xdvi-17.tar.gz を展開します。そのまま, ディレクトリを移動しないで, 
+  xdvi-17miyu.patch-beta4.gz を用いてパッチをあてます。
+  このとき, GNU のツールである gzip および patch が必要となります (*2)。
+  さらに xdvi-17+markpage+toc+printdvi.patch を用いてパッチをあてます。
+
+  あとは, システムに応じて Imakefile を編集した後, 
+  xmkmf を実行して Makefile を生成して, make を実行します。
+
+  なお、miyu-patch for xdvi PL17 については、README.miyu-patch をよく読
+  んでください。
+
+  (*1) これらは, 
+       ftp.tohoku.ac.jp[130.34.8.9]:~ftp/pub/tex/dviwares/xdvi/PL17 などの
+       anonymous ftp などから入手できます。
+  (*2) これらは, 
+       ftp.waseda.ac.jp[133.9.1.32]:~ftp/pub/GNU/prep 以下、または、
+       ftp.ecei.tohoku.ac.jp[130.34.222.67]:~ftp/pub/GNU/gzip および
+       ftp.ecei.tohoku.ac.jp[130.34.222.67]:~ftp/pub/GNU/patch 以下にあります。
+
+○Use_MARKPAGE および Use_TOC について
+  つけられるマークの最大数を 1024、DVI ファイルの最大ページ数も同じく 
+  1024 としてあります。これを越えることはまずないと思いますが、もし変更
+  する場合は、Imakefile の RINGSIZE および MAX_PAGE を修正してください。
+
+○Use_PRINTDVI について
+  Imakefile の Use_PRINTDVI のところは、自己サイトの環境に合わせて変更し
+  てください。%d などの意味については、print.h の最初の方のコメントに書
+  いてあります。また、デフォルトでは dvi2ps や dviselect を用いるように
+  書いてあります。このように、必要なページを切り出したり、プリンタ出力形
+  式へ変換する作業は xdvi の内部で行なわず、外部コマンドで処理するような
+  仕様にしました。したがって、これらのコマンドをあらかじめインストールし
+  ておかないと、xdvi からの出力ができません。dvi2ps, dvips, jdvi2kps,
+  dviselect など、自己サイトの環境に合ったコマンドをインストールし、それ
+  に合わせて Imakefile を修正した上で xdvi を作ってください。
+  また、デフォルトでは lpr に -v オプションを与えていません。PostScript 
+  プリンタ用のフィルタによっては -v オプションをつける必要があるかも知れ
+  ません。
+  また、デフォルトでは dvi2ps の出力を lpr の標準入力にパイプで与えてい
+  ます。lpr によっては、出力データが 1Mbyte を越えるとそれ以降を切り捨て
+  て出力するような仕様になっているかも知れません。そのような場合は、
+  dvi2ps の出力を一旦テンポラリファイル(/tmp/%F:%c@%r.ps など)にリダイレ
+  クトし、それを lpr -s で出力し、終了後に rm するようにすればいいでしょ
+  う。ただし、-s の場合、スプーリングせずに出力するため、出力が完了する
+  までそのファイルを消せません。出力完了まで待って rm する、という手続き
+  を簡単には書けないと思うので、デフォルトでは lpr の標準入力に与える方
+  法を採りました。1Mbyte を越えるくらいたくさんのページを出力するような
+  場合は、xdvi の中から出力せずにシェルのコマンドラインから
+	% dvi2ps file.dvi > /tmp/file.ps
+	% lpr -s /tmp/file.ps
+	(出力完了後)
+	% rm /tmp/file.ps
+  とした方がいいような気がします:-)
+
+○内部変数(%f など)の意味
+  print.h の最初の方のコメントにも書いてありますが、簡単に説明しておきま
+  す。Imakefile 中の PRCMD??? という変数は
+	PRCMDLST="(cd %d; dviselect -i %F -o /tmp/%F:%t@%r.dvi %A; dvi2ps /tmp/%F:%t@%r.dvi) | lpr -P%p -J'%F (Page %t)'; /bin/rm /tmp/%F:%t@%r.dvi"
+	/* all marked pages */
+  のように、% 表記の内部変数が用いられています。これは、DVI ファイルの出
+  力時に解釈されて実行されるコマンド文字列です。
+    PRCMDALL  DVI ファイルの全部を出力(する時に用いられるコマンド文字列)
+    PRCMDCUR  カレントページ(現在表示しているページ)を出力
+    PRCMDMRK  最後にマークしたページを出力
+    PRCMDRGN  リージョン(カレントページと最後にマークしたページで挟まれ
+              ている区間)内のすべてのページを出力
+    PRCMDLST  マークしたすべてのページを出力
+  これらのコマンドは、Print-out メニューで選択する項目
+	All pages
+	Current page
+	Marked page
+	Region
+	All marked pages
+  にそれぞれ対応しています。
+  コマンド文字列の解釈は、% 表記の内部変数を展開することによって行なわれ
+  ます。各内部変数の意味は次の通りです。
+    %f : 現在参照している DVI ファイルのファイル名(フルパス名)
+    %F : 現在参照している DVI ファイルのファイル名(basename)
+    %d : 現在参照している DVI ファイルが置かれているディレクトリ名
+         ( %f = %d/%F )
+    %p : プリンタ名(環境変数 PRINTER が定義されていればその値。また、
+         Print-menu で設定されるならその値)
+    %r : xdvi のプロセス ID
+  以下はページ番号に関する内部変数です。すべて絶対ページ番号(先頭ページ
+  を1として単調増加するページ番号。\count に左右されない)で表記します。
+    %c : カレントページ番号
+    %m : 最後にマークしたページ番号
+    %s : リージョンの開始ページ番号(%c と %m の最小値)
+    %e : リージョンの終了ページ番号(%c と %m の最大値)
+    %l : マークしたページ番号リスト(マーク順); 各ページ番号は ',' で区切
+         られている
+    %L : マークしたページ番号リスト(マーク順); 各ページ番号は ' ' で区切
+         られている
+    %t : マークしたページ番号リスト(ソートされている); 各ページ番号は
+         ',' で区切られている
+    %T : マークしたページ番号リスト(ソートされている); 各ページ番号は
+         ' ' で区切られている
+    %k : %l と同様、ただし、各ページ番号の前に '=' が置かれている
+         (dviselect を仮定している)
+    %K : %L と同様、ただし、各ページ番号の前に '=' が置かれている
+         (dviselect を仮定している)
+    %a : %t と同様、ただし、各ページ番号の前に '=' が置かれている
+         (dviselect を仮定している)
+    %A : %T と同様、ただし、各ページ番号の前に '=' が置かれている
+         (dviselect を仮定している)
+  たとえば、上記の PRCMDLST の定義で、/home/onono/doc/sample.dvi をプレ
+  ビューしていて、3,6,11,17ページをマークしている時に、Print-out メニュー
+  から all marked pages を選択すると、実行される文字列は以下のようになり
+  ます。
+	(cd /home/onono/doc;
+	 dviselect -i sample.dvi -o /tmp/sample.dvi:3,6,11,17@3255.dvi
+		 =3 =6 =11 =17;
+	 dvi2ps /tmp/sample.dvi:3,6,11,17@3255.dvi)
+	| lpr -Plp -J'sample.dvi (Page 3.6.11.17)';
+	/bin/rm /tmp/sample.dvi:3,6,11,17@3255.dvi
+  ただし、xdvi のプロセス ID = 3255、プリンタ名 = lp とします。
+
+○独立性
+  Use_MARKPAGE, Use_TOC, Use_PRINTDVI は、相互に独立して#define/#undefで
+  きるはずです(試していません)。もちろん、
+	#undef	Use_MARKPAGE
+	#define	Use_TOC
+	#define	Use_PRINTDVI
+  で作った場合は、toc 上でのマーキングができませんし(ページ移動はできる)、
+  Print-out メニューは All pages と current page の二つだけになるでしょ
+  う。
+
+○著作権
+  当該パッチの中のファイル
+	markring.c
+	markring.h
+	markpage.c
+	markpage.h
+	toc.c
+	toc.h
+	print.c
+	print.h
+  の著作権は、作者である
+	松浦 俊     MATSUURA Syun      syun@fuka.info.waseda.ac.jp
+	平原 厚志   HIRAHARA Atsushi   hirahara@fuka.info.waseda.ac.jp
+	小野 康一   ONO Kouichi        onono@fuka.info.waseda.ac.jp
+  に帰属します。なお、著作者を明らかにする限り、当該パッチの一部または全
+  体を改造、転送、再配布するのは自由とします。
+
+○ヒマがあればやろうかな
+
+1. 環境変数, オプション, リソースによる指定
+			-printer	*printer
+	XDVIPRALL	-prall		*print.all
+	XDVIPRCUR	-prcur		*print.currentPage
+	XDVIPRMKD	-prmarked	*print.markedPage
+	XDVIPRRGN	-prregion	*print.region
+	XDVIPRLST	-prlist		*print.list
+
+2. ページ移動に伴う toc のスクロールバー移動
+
+3. toc に表示するページ番号を \count0 を考慮した(実際の)ページ番号にする
+
+4. マークページリストの表記を
+	5,8-12,27,29,35-36,41
+   のようにする
